---
- name: retrieve minikube ip
  command: minikube ip
  register: ip_node

- name: create folder
  file: path=kube_files state=directory

- name: instanciate topology template
  template: dest=kube_files/{{ item }}  src={{ item }}.j2
  with_items:
    - namespace.yaml
    - deploy.yaml
    - displayurl.sh

- name: apply kube topology
  command: kubectl apply -f kube_files/{{ item }} -n {{ application_name }}
  retries: 3
  delay: 5
  register: result
  until: result.rc == 0
  with_items:
    - namespace.yaml
    - deploy.yaml